Bug 469483 - Upgrade path: abiword EVR higher in F8 than F9
Upgrade path: abiword EVR higher in F8 than F9
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-01 09:12 EDT by Kevin Kofler
Modified: 2009-06-10 01:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: abiword-2.6.6-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 01:47:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2008-11-01 09:12:09 EDT
Description of problem:
The Epoch-Version-Release (EVR) of abiword goes backwards from F8 updates to F9 updates, breaking the upgrade path.

Version-Release number of selected component (if applicable):
abiword-2.6.4-2.fc8                       dist-f8-updates       uwog
abiword-2.6.4-1.fc9                       dist-f9-updates       uwog
(from koji latest-pkg)

How reproducible:
Always

Steps to Reproduce:
1. Upgrade from F8 with updates to F9 with updates.
  
Actual results:
abiword from F8 still there (as shown by yum list extras and the equivalent Synaptic feature).

Expected results:
abiword upgraded to F9 version.

Additional info:
The EVR in F9 updates MUST be higher than the EVR in F8 updates. Please push an F9 update with a higher EVR as soon as possible.
Comment 1 Kevin Kofler 2008-11-06 20:25:30 EST
The problem is that the Release tag was incorrectly bumped. It should have been
1%{?dist}.1, not 2%{%dist}. Now there MUST be a F9 upgrade bumping the Release
to at least 2%{%dist} even if there are no other changes, there's no other way
to fix this. And this bug MUST be fixed, no excuses.

And next time, bump the release version AFTER the disttag (e.g. 1%{?dist}.1,
1%{?dist}.2 etc.) if you make changes to / bump Release on one branch only.
Comment 2 Bug Zapper 2009-06-09 23:07:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Kevin Kofler 2009-06-10 01:47:48 EDT
Current in F9 is abiword-2.6.6-1.fc9, so this one is fixed.

Note You need to log in before you can comment on or make changes to this bug.